﻿//==========================================================
// 
// File: Triangle.cs
// 
// -------------------- 
// This program reads an integer in the range of 1 to 15, and
// prints a triangle of *.
//       *
//      ***
//     *****
//    *******
//   *********
//  ***********
// *************
//***************           
//==========================================================

using System;

class Triangle
{
    static void Main(string[] args)
    {
        int n; // the number of rows 

        Console.WriteLine("This program prints a triangle of *.");

        // get the number of rows
        do
        {
            Console.Write("Please enter the number of rows ([1, 15]: ");
            n = Int32.Parse(Console.ReadLine());
        } while (n < 1 || n > 15);

        // Since we have a total of 2*row -1 stars at each row, and the last 
        // row will have 2n -1 stars, each row will have 
        // ( (2 * n - 1) - (2 * row - 1) ) / 2 = n - row space at the beginning
        for (int row = 1; row <= n; row++)
        {
            // print the leading (n - row) space
            for (int space = 0; space < n - row; space++)
                Console.Write(' ');

            // print the 2 * row -1 stars
            for (int col = 0; col < 2 * row - 1; col++)
                Console.Write('*');

            Console.WriteLine();
        } // end of for loop

        Console.ReadKey();

    } // end of method Main

} // end of class